import request from "@/utils/request";

// 采购计划查询
export function getPlanList(data) {
    return request({
        url: "/web/purcPlan/getList",
        method: "post",
        data
    });
}

// 采购计划明细查询
export function getDetlList(data) {
    return request({
        url: "/web/purcPlan/getDetlList",
        method: "post",
        data
    });
}

// 采购计划保存
export function savePlan(data) {
    return request({
        url: "/web/purcPlan/savePlan",
        method: "post",
        data
    });
}

// 采购计划提交
export function submitPlan(data) {
    return request({
        url: "/web/purcPlan/submitPlan",
        method: "post",
        data
    });
}

// 补货计划查询
export function getSplmDeltList(data) {
    return request({
        url: "/web/purcPlan/getSplmDeltList",
        method: "post",
        data
    });
}

// 采购计划删除
export function delPlan(data) {
    return request({
        url: "/web/purcPlan/delPlan",
        method: "post",
        data
    });
}

// 获取已配置集团药品配送商关系
export function getSetEdDrugSplerRlts(data) {
    return request({
        url: "/web/grpDrugList/getSetEdDrugSplerRlts",
        method: "post",
        data
    });
}

